Bug 1560311 - [3.9] oc adm migrate storage produces error as signature annotations forbidden
Summary: [3.9] oc adm migrate storage produces error as signature annotations forbidden
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.9.z
Assignee: Michal Minar
QA Contact: Dongbo Yan
URL:
Whiteboard:
Depends On: 1557607
Blocks: 1559982 1559991 1559994 1559997
TreeView+ depends on / blocked
 
Reported: 2018-03-25 21:17 UTC by Ben Parees
Modified: 2018-06-18 18:14 UTC (History)
11 users (show)

Fixed In Version: openshift v3.9.19
Doc Type: Bug Fix
Doc Text:
Cause: Image validation used to validate old image object. And image signature import controller used generate such an image. Consequence: An invalid images were pushed to etcd. Fix: Validation has been changed to validate new image object. Logic to fix some invalid images has been introduced. Controller no longer generates invalid images. Result: It's no longer possible to upload an invalid image object.
Clone Of: 1557607
Environment:
Last Closed: 2018-06-18 18:14:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2013 normal SHIPPED_LIVE Important: OpenShift Container Platform 3.9 security, bug fix, and enhancement update 2018-06-27 22:01:43 UTC

Comment 2 Michal Minar 2018-03-26 14:27:57 UTC
OSE 3.9 PR: https://github.com/openshift/ose/pull/1159

Comment 3 Dongbo Yan 2018-04-08 05:28:54 UTC
Verified
openshift v3.9.19
kubernetes v1.9.1+a0ce1bc657
etcd 3.2.16


Note You need to log in before you can comment on or make changes to this bug.